package com.chinaitop.depot.intelligent.basicData.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chinaitop.depot.intelligent.basicData.model.TStation;
import com.chinaitop.depot.intelligent.basicData.model.TStationtype;
import com.chinaitop.depot.intelligent.basicData.param.TStationPageParam;
import com.chinaitop.depot.intelligent.basicData.param.TStationtypePageParam;
import com.chinaitop.depot.intelligent.basicData.service.TStationService;
import com.chinaitop.depot.intelligent.basicData.service.TStationtypeService;
import com.chinaitop.depot.intelligent.common.ResponseEntity;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 站点类型 前端控制器
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
@RestController
@RequestMapping("/t-stationtype")
@Api(value = "TStationController", description = "站点类型控制类")
public class TStationtypeController {

    @Autowired
    private TStationtypeService tStationtypeService;

    @GetMapping("/getList")
    @ApiOperation(value = "查询 站点类型 信息列表", notes = "查询 站点类型 信息列表")
    public ResponseEntity<Page<TStationtype>> getList(TStationtypePageParam pageParam) {

        return ResponseEntity.ok(tStationtypeService.getList(pageParam));
    }

}
