package com.chinaitop.depot.intelligent.basicData.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chinaitop.depot.intelligent.basicData.param.WarehouseDataAnalysis;
import com.chinaitop.depot.intelligent.basicData.param.WarehouseDataAnalysisChart;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-07-16 16:02
 */
public interface WarehouseDataAnalysisMapper extends BaseMapper<WarehouseDataAnalysis> {
    Page<WarehouseDataAnalysis> getPageList(Page<WarehouseDataAnalysis> objectPage, @Param("map") Map<String, Object> map);

    List<WarehouseDataAnalysisChart> getChartList(@Param("orgId") Integer orgId);
}
