package com.chinaitop.depot.intelligent.basicData.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author hjc
 * @version 1.0
 * @Description
 * @date 2024/5/9 17:22
 */
@Data
public class TFumigationRecordPageParam {

    /** 当前页 */
    @ApiModelProperty(value = "页码")
    private Integer pageNum;

    /** 每页条数 */
    @ApiModelProperty(value = "每页条数")
    private Integer pageSize;

    /** 企业名称 */
    @ApiModelProperty(value = "企业名称")
    private String orgName;

    /** 作业单号 */
    @ApiModelProperty(value = "作业单号")
    private String orderNumber;

    @ApiModelProperty(value = "机构编码")
    private String orgId;

}
