package com.chinaitop.depot.intelligent.basicData.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.chinaitop.depot.intelligent.basicData.model.TJctable;
import com.chinaitop.depot.intelligent.basicData.param.TJctablePageParam;
import com.chinaitop.depot.intelligent.basicData.param.TJctableParam;
import com.chinaitop.depot.intelligent.basicData.param.TLqinfoParam;

/**
 * <p>
 * 数量监测设备配置 服务类
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
public interface TJctableService extends IService<TJctable> {

    Page<TJctable> getList(TJctablePageParam pageParam);

    int saveData(TJctableParam param);

    int updateData(TJctableParam param);

    int deleteData(String id);

}
