package com.chinaitop.depot.intelligent.devCRUD.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 智能通风
 * </p>
 *
 * @author root
 * @since 2024-05-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("demo_improve")
@ApiModel(value="DemoImprove对象", description="智能通风")
public class DemoImprove implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键32位id")
    @TableId(value = "id", type = IdType.INPUT)
    private String id;

    @ApiModelProperty(value = "库区编码")
    @TableField("org_id")
    private String orgId;

    @ApiModelProperty(value = "库区名称")
    @TableField("org_name")
    private String orgName;

    @ApiModelProperty(value = "仓房编码")
    @TableField("cfbm")
    private String cfbm;

    @ApiModelProperty(value = "仓房名称")
    @TableField("cfmc")
    private String cfmc;

    @ApiModelProperty(value = "通风作业设备名称")
    @TableField("tfzysbmc")
    private String tfzysbmc;

    @ApiModelProperty(value = "存储仓温")
    @TableField("cccw")
    private String cccw;

    @ApiModelProperty(value = "存储仓湿")
    @TableField("cccs")
    private String cccs;

    @ApiModelProperty(value = "存储外温")
    @TableField("ccww")
    private String ccww;

    @ApiModelProperty(value = "存储外湿")
    @TableField("ccws")
    private String ccws;

    @ApiModelProperty(value = "风机动作")
    @TableField("fjdz")
    private String fjdz;

    @ApiModelProperty(value = "操作时间")
    @TableField("czsj")
    private Date czsj;


}
