package com.chinaitop.depot.intelligent.devCRUD.model;

import com.chinaitop.depot.intelligent.common.PageParam;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-05-11 16:48
 */
@Getter
@Setter
public class DemoImprovePageParam extends PageParam {
    private static final long serialVersionUID = -7309272832934329419L;

    @ApiModelProperty(value = "库区编码", required = true)
    @NotBlank(message = "库区编码不能为空")
    private String orgId;

    @ApiModelProperty(value = "通风作业设备名称")
    private String tfzysbmc;
}
