package com.chinaitop.depot.intelligent.devCRUD.model;

import com.chinaitop.depot.intelligent.common.PageParam;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import java.util.Date;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-05-11 17:06
 */
@Getter
@Setter
public class DemoQuantityMonitoringPageParam extends PageParam {
    private static final long serialVersionUID = -8325919762007966854L;

    @ApiModelProperty(value = "库区编码", required = true)
    @NotBlank(message = "库区编码不能为空")
    private String orgId;

    @ApiModelProperty(value = "仓房编码")
    private String cfbm;

    @ApiModelProperty(value = "检测开始时间")
    private String startTime;

    @ApiModelProperty(value = "检测结束时间")
    private String endTime;
}
