package com.chinaitop.depot.intelligent.financialSupervision.param;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author hjc
 * @date 2024/7/2 16:56
 */
@Data
public class BusinessFsStatisticalAccountPageParam {

    /** 当前页 */
    @ApiModelProperty(value = "页码")
    private Integer pageNum;

    /** 每页条数 */
    @ApiModelProperty(value = "每页条数")
    private Integer pageSize;

    @ApiModelProperty(value = "合同编号")
    private String contractNumber;

    @ApiModelProperty(value = "单位id；org_info的ID；")
    @NotNull(message = "单位id不能为空")
    private Integer orgId;
}
