package com.chinaitop.depot.intelligent.financialSupervision.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 财务监管-入库确认单
 * </p>
 *
 * @author root
 * @since 2024-07-04
 */
@Data
public class BusinessFsInConfirmPageVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    private Integer id;

    @ApiModelProperty(value = "入库确认单-入库确认单号")
    private String receiptNumber;

    @ApiModelProperty(value = "合同编号")
    private String contractNumber;

    @ApiModelProperty(value = "合同名称")
    private String contractTitle;

    @ApiModelProperty(value = "结算总数量（吨）")
    private BigDecimal settleTotalQuantity;

    @ApiModelProperty(value = "结算总金额")
    private BigDecimal settleTotalAmount;

}
