package com.chinaitop.depot.intelligent.grainReserves.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author hjc
 * @version 1.0
 * @Description
 * @date 2024/5/16 20:49
 */
@Data
public class WarehouseAndInfoVO {

    @ApiModelProperty(value = "粮食品种；basic_enum的id；")
    private Integer grainVarietyId;

    @ApiModelProperty(value = "粮食品种名称")
    private String grainVarietyName;

    @ApiModelProperty(value = "粮食性质；basic_enum的id；")
    private Integer grainNatureId;

    @ApiModelProperty(value = "粮食性质名称")
    private String grainNatureName;

    @ApiModelProperty(value = "粮食等级；basic_enum的id；")
    private Integer grainGradeId;

    @ApiModelProperty(value = "粮食等级名称")
    private String grainGradeName;

    @ApiModelProperty(value = "入库净重")
    private BigDecimal netWeightIn;

    @ApiModelProperty(value = "出库净重")
    private BigDecimal netWeightOut;

    @ApiModelProperty(value = "损益单号")
    private String sydh;

}
