package com.chinaitop.depot.intelligent.priceApproval.model;

import com.chinaitop.depot.intelligent.common.PageParam;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-07-08 15:30
 */
@Getter
@Setter
public class BusinessFsStoragePriceApprovalPage extends PageParam {
    private static final long serialVersionUID = -4290154138232159344L;

    @ApiModelProperty(value = "库区编码", required = true)
    @NotNull(message = "机构编码不能为空")
    private Integer orgId;
    //合同编号
    @ApiModelProperty(value = "合同编号")
    private String contractNumber;
    //入库确认单号
    @ApiModelProperty(value = "入库确认单号")
    private String receiptNumber;
}
