package com.chinaitop.depot.intelligent.basicData.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("t_stationtype")
@ApiModel(value="TStationtype对象", description="")
public class TStationtype implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "站点类型表")
    @TableId(value = "ID", type = IdType.AUTO)
    private Integer id;

    @TableField("v_zd_type_code")
    private String vZdTypeCode;

    @TableField("v_zd_type_name")
    private String vZdTypeName;

    @TableField("v_remark")
    private String vRemark;

    @TableField("updatetime")
    private Date updatetime;


}
