package com.chinaitop.depot.intelligent.basicData.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.chinaitop.depot.intelligent.basicData.model.TCcinfo;
import com.chinaitop.depot.intelligent.basicData.param.TCcinfoParam;
import com.chinaitop.depot.intelligent.basicData.param.TLqinfoPageParam;


/**
 * <p>
 * 虫害设备配置 服务类
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
public interface TCcinfoService extends IService<TCcinfo> {

    Page<TCcinfo> getList(TLqinfoPageParam pageParam);

    int saveData(TCcinfoParam param);

    int updateData(TCcinfoParam param);

    int deleteData(String id);
}
