package com.chinaitop.depot.intelligent.basicData.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.chinaitop.depot.intelligent.basicData.model.TFumigationCirculation;
import com.chinaitop.depot.intelligent.basicData.model.TLqinfo;
import com.chinaitop.depot.intelligent.basicData.param.*;


/**
 * <p>
 * 粮情设备配置 服务类
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
public interface TLqinfoService extends IService<TLqinfo> {

    Page<TLqinfo> getList(TLqinfoToPageParam pageParam);

    int saveData(TLqinfoParam tLqinfo);

    int updateData(TLqinfoParam tLqinfo);

    int deleteData(String id);
}
