package com.chinaitop.depot.intelligent.basicData.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chinaitop.depot.intelligent.basicData.model.TQtdevinfo;
import com.chinaitop.depot.intelligent.basicData.param.TLqinfoPageParam;
import com.baomidou.mybatisplus.extension.service.IService;
import com.chinaitop.depot.intelligent.basicData.param.TQtdevinfoPageParam;
import com.chinaitop.depot.intelligent.basicData.param.TQtdevinfoParam;

/**
 * <p>
 * 气体液位设备设置 服务类
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
public interface TQtdevinfoService extends IService<TQtdevinfo> {

    Page<TQtdevinfo> getList(TQtdevinfoPageParam pageParam);

    int saveData(TQtdevinfoParam param);

    int updateData(TQtdevinfoParam param);

    int deleteData(String id);
}
