package com.chinaitop.depot.intelligent.basicData.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.chinaitop.depot.intelligent.basicData.model.TVentilationOperation;
import com.chinaitop.depot.intelligent.basicData.param.TVentilationOperationPageParam;
import com.chinaitop.depot.intelligent.basicData.param.TVentilationOperationParam;

/**
 * <p>
 * 通风作业管理 服务类
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
public interface TVentilationOperationService extends IService<TVentilationOperation> {

    Page<TVentilationOperation> getList(TVentilationOperationPageParam pageParam);

    int saveData(TVentilationOperationParam param);

    int updateData(TVentilationOperationParam param);

    int deleteData(String id);
}
