package com.chinaitop.depot.intelligent.basicData.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.chinaitop.depot.intelligent.basicData.param.WarehouseDataAnalysis;
import com.chinaitop.depot.intelligent.basicData.param.WarehouseDataAnalysisChart;
import com.chinaitop.depot.intelligent.basicData.param.WarehouseDataAnalysisPageParam;

import java.util.List;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-07-16 15:49
 */
public interface WarehouseDataAnalysisService extends IService<WarehouseDataAnalysis> {
    Page<WarehouseDataAnalysis> getPageList(WarehouseDataAnalysisPageParam param);

    List<WarehouseDataAnalysisChart> getChartList(Integer orgId);
}
