package com.chinaitop.depot.intelligent.basicData.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.chinaitop.depot.intelligent.basicData.mapper.TStationtypeMapper;
import com.chinaitop.depot.intelligent.basicData.model.TStationtype;
import com.chinaitop.depot.intelligent.basicData.param.TStationtypePageParam;
import com.chinaitop.depot.intelligent.basicData.service.TStationtypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
@Service
public class TStationtypeServiceImpl extends ServiceImpl<TStationtypeMapper, TStationtype> implements TStationtypeService {

    @Autowired
    private TStationtypeMapper tStationtypeMapper;

    @Override
    public Page<TStationtype> getList(TStationtypePageParam pageParam) {

        Page<TStationtype> page = new Page<>(pageParam.getPageNum(), pageParam.getPageSize());
        return tStationtypeMapper.selectPage(page,null);
    }
}
