package com.chinaitop.depot.intelligent.devCRUD.model;

import com.chinaitop.depot.intelligent.common.PageParam;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-05-11 15:48
 */
@Getter
@Setter
public class DemoAirPageParam extends PageParam {
    private static final long serialVersionUID = -9128666599875262663L;

    @ApiModelProperty(value = "库区名称", required = true)
    @NotBlank(message = "机构编码不能为空")
    private String orgId;

    @ApiModelProperty(value = "设备名称")
    private String sbmc;

}
