package com.chinaitop.depot.intelligent.devCRUD.model;

import com.chinaitop.depot.intelligent.common.PageParam;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-05-11 16:37
 */
@Getter
@Setter
public class DemoGasMonitoringPageParam extends PageParam {
    private static final long serialVersionUID = 1772356696723328508L;

    @ApiModelProperty(value = "库区编码", required = true)
    @NotBlank(message = "库区编码不能为空")
    private String orgId;

    @ApiModelProperty(value = "仓房编码")
    private String cfbm;

    @ApiModelProperty(value = "仓房名称(折线图)")
    private String cfmc;

    @ApiModelProperty(value = "检测周期-开始(折线图)")
    private String startTime;

    @ApiModelProperty(value = "检测周期-结束(折线图)")
    private String endTime;

}
