package com.chinaitop.depot.intelligent.devCRUD.model;

import com.chinaitop.depot.intelligent.common.PageParam;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-05-11 16:57
 */
@Getter
@Setter
public class DemoPestMonitoringPageParam extends PageParam {
    private static final long serialVersionUID = -2356543644424450680L;

    @ApiModelProperty(value = "库区编码", required = true)
    @NotBlank(message = "库区编码不能为空")
    private String orgId;

    @ApiModelProperty(value = "仓房编码")
    private String cfbm;
}
