package com.chinaitop.depot.intelligent.devCRUD.model;

import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 粮食数据监测数据
 * </p>
 *
 * @author root
 * @since 2024-05-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("demo_quantity_monitoring")
@ApiModel(value="DemoQuantityMonitoring对象", description="粮食数据监测数据")
public class DemoQuantityMonitoring implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键32位id")
    @TableId("id")
    private String id;

    @ApiModelProperty(value = "库区编码")
    @TableField("org_id")
    private String orgId;

    @ApiModelProperty(value = "库区编码")
    @TableField("org_name")
    private String orgName;

    @ApiModelProperty(value = "仓房编码")
    @TableField("cfbm")
    private String cfbm;

    @ApiModelProperty(value = "仓房名称")
    @TableField("cfmc")
    private String cfmc;

    @ApiModelProperty(value = "设备编码")
    @TableField("sbbm")
    private String sbbm;

    @ApiModelProperty(value = "设备名称")
    @TableField("sbmc")
    private String sbmc;

    @ApiModelProperty(value = "检测数据")
    @TableField("jcsl")
    private String jcsl;

    @ApiModelProperty(value = "检测体积")
    @TableField("jctj")
    private String jctj;

    @ApiModelProperty(value = "检测误差")
    @TableField("jcwc")
    private String jcwc;

    @ApiModelProperty(value = "仓房长度")
    @TableField("cfcd")
    private String cfcd;

    @ApiModelProperty(value = "仓房宽度")
    @TableField("cfkd")
    private String cfkd;

    @ApiModelProperty(value = "平局高度")
    @TableField("pjgd")
    private String pjgd;

    @ApiModelProperty(value = "检测时间")
    @TableField("jcsj")
    private Date jcsj;

    @ApiModelProperty(value = "操作人")
    @TableField("czr")
    private String czr;


}
