package com.chinaitop.depot.intelligent.financialSupervision.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chinaitop.depot.intelligent.financialSupervision.model.BusinessFsInConfirm;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.chinaitop.depot.intelligent.financialSupervision.vo.BusinessFsInConfirmPageVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 财务监管-入库确认单 Mapper 接口
 * </p>
 *
 * @author root
 * @since 2024-07-04
 */
@Mapper
public interface BusinessFsInConfirmMapper extends BaseMapper<BusinessFsInConfirm> {

    Page<BusinessFsInConfirmPageVO> selectMyPage(@Param("page") Page<BusinessFsInConfirmPageVO> page,
                                                 @Param("contractNumber") String contractNumber,
                                                 @Param("receiptNumber") String receiptNumber,
                                                 @Param("orgId") Integer orgId);


    Double selectSum(String id, Integer grainKind);

    String selectNum();


}
