package com.chinaitop.depot.intelligent.financialSupervision.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chinaitop.depot.intelligent.financialSupervision.model.BusinessFsOutConfirm;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.chinaitop.depot.intelligent.financialSupervision.vo.BusinessFsOutConfirmPageVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 财务监管-销售收入上缴-出库验收确认 Mapper 接口
 * </p>
 *
 * @author root
 * @since 2024-07-23
 */
@Mapper
public interface BusinessFsOutConfirmMapper extends BaseMapper<BusinessFsOutConfirm> {

    Double selectSum(@Param("id") String id,
                     @Param("grainKind") Integer grainKind,
                     @Param("grainAttribute") Integer grainAttribute);

    Page<BusinessFsOutConfirmPageVO> selectMyPage(@Param("page") Page<BusinessFsOutConfirmPageVO> page,
                                                  @Param("contractNumber") String contractNumber,
                                                  @Param("orgId") Integer orgId);

    String selectOutboundConfirmationNumber();


}
