package com.chinaitop.depot.intelligent.financialSupervision.param;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @author hjc
 * @version 1.0
 * @Description
 * @date 2024/5/9 17:22
 */
@Data
public class FsCostStandardPageParam {

    /** 当前页 */
    @ApiModelProperty(value = "页码")
    private Integer pageNum;

    /** 每页条数 */
    @ApiModelProperty(value = "每页条数")
    private Integer pageSize;

    @ApiModelProperty(value = "标准类型 1:轮换费用标准 2:保管费用标准")
    private Integer standardType;

    @ApiModelProperty(value = "库区id")
    @NotNull(message = "库区id不能为空")
    private Integer orgId;
}
