package com.chinaitop.depot.intelligent.financialSupervision.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chinaitop.depot.intelligent.financialSupervision.model.BusinessFsInterestMaintain;
import com.baomidou.mybatisplus.extension.service.IService;
import com.chinaitop.depot.intelligent.financialSupervision.param.BusinessFsInConfirmPageParam;
import com.chinaitop.depot.intelligent.financialSupervision.param.BusinessFsInterestMaintainPageParam;
import com.chinaitop.depot.intelligent.financialSupervision.param.BusinessFsInterestMaintainParam;

/**
 * <p>
 * 财务监管-利息维护 服务类
 * </p>
 *
 * @author root
 * @since 2024-07-23
 */
public interface BusinessFsInterestMaintainService extends IService<BusinessFsInterestMaintain> {

    /**
    *查询 利息维护 信息列表
    *
    *@author hjc
    *@date 2024/7/23 14:41
    */
    Page<BusinessFsInterestMaintain> getList(BusinessFsInterestMaintainPageParam pageParam);

    /**
    *利息维护新增
    *
    *@author hjc
    *@date 2024/7/23 14:58
    */
    int saveData(BusinessFsInterestMaintainParam param);

    /**
    *利息维护修改
    *
    *@author hjc
    *@date 2024/7/23 14:59
    */
    int updateData(BusinessFsInterestMaintainParam param);

    /**
    *利息维护删除
    *
    *@author hjc
    *@date 2024/7/23 15:12
    */
    int deleteData(Integer id);

    /**
    *利息维护详情
    *
    *@author hjc
    *@date 2024/7/23 15:32
    */
    BusinessFsInterestMaintain getDataById(String id);
}
