package com.chinaitop.depot.intelligent.financialSupervision.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.chinaitop.depot.intelligent.financialSupervision.model.BusinessFsInConfirm;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author hjc
 * @date 2024/7/4 15:11
 */
@Data
public class BusinessFsInConfirmDetailVO extends BusinessFsInConfirm{

    @ApiModelProperty(value = "合同编号")
    private String contractNumber;

    @ApiModelProperty(value = "合同名称")
    private String contractTitle;

    @ApiModelProperty(value = "采购单位")
    private String purchaseUnit;

    @ApiModelProperty(value = "合同签订时间，竞拍日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date signingTime;

    @ApiModelProperty(value = "合同总金额(元)")
    private String moneyQuantity;

    @ApiModelProperty(value = "合同类型")
    private String contractType;

    @ApiModelProperty(value = "合同详情")
    private List<BusinessStoreWareDetailVO> storeWareDetailVOList;


}
