package com.chinaitop.depot.intelligent.financialSupervision.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author hjc
 * @date 2024/7/23 16:41
 */
@Data
public class GetFsOutConfirmByContractVO {

    @ApiModelProperty(value = "合同编号")
    private String contractNumber;

    @ApiModelProperty(value = "合同名称")
    private String contractTitle;

    @ApiModelProperty(value = "合同类型")
    private String contractType;

    @ApiModelProperty(value = "销往单位")
    private String purchaseUnit;


    @ApiModelProperty(value = "合同详情")
    private List<BusinessStoreWareDetailDataVO> storeWareDetailDataVOList;
}
