package com.chinaitop.depot.intelligent.grainsituation.model;

import java.math.BigDecimal;

public class TPoints {
    /**
     * 温度值 单位：摄氏度；坏点值以250表示；精确到小数点后1位；
     * @return temp 温度值 单位：摄氏度；坏点值以250表示；精确到小数点后1位；
     */
    private BigDecimal temp;
    /**
     * 测温点在仓内的X坐标代表长度 代表列
     * @return X 测温点在仓内的X坐标代表长度 代表列
     */
    private String x;
    /**
     * 测温点在仓内的Y坐标宽度方向 代表行
     * @return Y 测温点在仓内的Y坐标宽度方向 代表行
     */
    private String y;
    /**
     * 测温点在仓内的Z坐标高度
     * @return Z 测温点在仓内的Z坐标高度
     */
    private String z;


    public BigDecimal getTemp() {
        return temp;
    }


    public void setTemp(BigDecimal temp) {
        this.temp = temp;
    }


    public String getX() {
        return x;
    }

    public void setX(String x) {
        this.x = x == null ? null : x.trim();
    }


    public String getY() {
        return y;
    }

    public void setY(String y) {
        this.y = y == null ? null : y.trim();
    }

    public String getZ() {
        return z;
    }

    public void setZ(String z) {
        this.z = z == null ? null : z.trim();
    }

}