package com.chinaitop.depot.intelligent.priceApproval.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-07-04 10:23
 */
@Data
public class BusinessContract {

    @ApiModelProperty(value = "主键ID")
    private Integer id;

    @ApiModelProperty(value = "合同编号")
    private String contractNumber;

    @ApiModelProperty(value = "合同名称")
    private String contractTitle;

    @ApiModelProperty(value = "竞拍日期")
    private Date signingTime;

    @ApiModelProperty(value = "附件")
    private String attachment;
}
