package com.chinaitop.depot.intelligent.priceApproval.model;

import com.chinaitop.depot.intelligent.common.PageParam;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-07-25 17:58
 */
@Data
public class BusinessFsSaleRevenuePage extends PageParam implements Serializable {
    private static final long serialVersionUID = -5868563850694881293L;

    @ApiModelProperty(value = "库区编码", required = true)
    @NotNull(message = "机构编码不能为空")
    private Integer orgId;
    //合同编号
    @ApiModelProperty(value = "合同编号")
    private String contractNumber;
}
