package com.chinaitop.depot.intelligent.priceApproval.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chinaitop.depot.intelligent.financialSupervision.model.BusinessFsOutConfirmDiffPriceItem;
import com.chinaitop.depot.intelligent.priceApproval.model.*;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 财务监管-销售收入上缴 服务类
 * </p>
 *
 * @author root
 * @since 2024-07-24
 */
public interface BusinessFsSaleRevenueService extends IService<BusinessFsSaleRevenue> {

    void saveData(BusinessFsSaleRevenue param);

    List<BusinessContract> getContractInfo(Integer orgId);

    List<BusinessContractDetail> getContractInfoList(Integer id);

    BusinessFsSaleRevenueInspectionLoss getQualityInfo(Integer orgId, Integer basicStorehouseId, Integer warehouseId);

    List<BusinessFsSaleRevenueThreeConsistenceAccount> getConsistenceAccountInfo(String contractNumber);

    List<BusinessFsSaleRevenueThreeConsistence> getOutStorageInfo(String contractNumber);

    List<DataCPZ> getOutStorageDetailed(String contractNumber);

    List<BusinessFsSaleRevenueSettle> getSettlementInfo(String contractNumber);

    List<BusinessFsSaleRevenueDiffPrice> getDiffPriceInfo(String contractNumber);

    BusinessFsSaleRevenueApprovalPrice getCardInfo(Integer orgId, Integer basicStorehouseId, Integer warehouseId);

    void updateData(BusinessFsSaleRevenue param);

    BusinessFsSaleRevenue detailsData(Integer id);

    Page<BusinessFsSaleRevenue> selectPageList(BusinessFsSaleRevenuePage param);

    void deleteData(Integer id);
}
